org.keycloak.adapters

## Class KeycloakDeployment

- java.lang.Object
- - org.keycloak.adapters.KeycloakDeployment

- Direct Known Subclasses:
    AdapterDeploymentContext.DeploymentDelegate

      public class KeycloakDeployment
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `accountUrl`
    `protected String` | `authServerBaseUrl`
    `protected KeycloakUriBuilder` | `authUrl`
    `protected boolean` | `bearerOnly`
    `protected org.apache.http.client.HttpClient` | `client`
    `protected String` | `codeUrl`
    `protected boolean` | `cors`
    `protected String` | `corsAllowedHeaders`
    `protected String` | `corsAllowedMethods`
    `protected int` | `corsMaxAge`
    `protected boolean` | `exposeToken`
    `protected KeycloakUriBuilder` | `logoutUrl`
    `protected int` | `notBefore`
    `protected boolean` | `publicClient`
    `protected String` | `realm`
    `protected String` | `realmInfoUrl`
    `protected PublicKey` | `realmKey`
    `protected String` | `refreshUrl`
    `protected boolean` | `relativeUrls`
    `protected Map<String,String>` | `resourceCredentials`
    `protected String` | `resourceName`
    `protected String` | `scope`
    `protected KeycloakUriBuilder` | `serverBuilder`
    `protected SslRequired` | `sslRequired`
    `protected String` | `stateCookieName`
    `protected boolean` | `useResourceRoleMappings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakDeployment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccountUrl()`
    `String` | `getAuthServerBaseUrl()`
    `KeycloakUriBuilder` | `getAuthUrl()`
    `org.apache.http.client.HttpClient` | `getClient()`
    `String` | `getCodeUrl()`
    `String` | `getCorsAllowedHeaders()`
    `String` | `getCorsAllowedMethods()`
    `int` | `getCorsMaxAge()`
    `KeycloakUriBuilder` | `getLogoutUrl()`
    `int` | `getNotBefore()`
    `String` | `getRealm()`
    `String` | `getRealmInfoUrl()`
    `PublicKey` | `getRealmKey()`
    `String` | `getRefreshUrl()`
    `Map<String,String>` | `getResourceCredentials()`
    `String` | `getResourceName()`
    `String` | `getScope()`
    `SslRequired` | `getSslRequired()`
    `String` | `getStateCookieName()`
    `boolean` | `isBearerOnly()`
    `boolean` | `isConfigured()`
    `boolean` | `isCors()`
    `boolean` | `isExposeToken()`
    `boolean` | `isPublicClient()`
    `boolean` | `isUseResourceRoleMappings()`
    `void` | `setAuthServerBaseUrl(String authServerBaseUrl)`
    `void` | `setBearerOnly(boolean bearerOnly)`
    `void` | `setClient(org.apache.http.client.HttpClient client)`
    `void` | `setCors(boolean cors)`
    `void` | `setCorsAllowedHeaders(String corsAllowedHeaders)`
    `void` | `setCorsAllowedMethods(String corsAllowedMethods)`
    `void` | `setCorsMaxAge(int corsMaxAge)`
    `void` | `setExposeToken(boolean exposeToken)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setPublicClient(boolean publicClient)`
    `void` | `setRealm(String realm)`
    `void` | `setRealmKey(PublicKey realmKey)`
    `void` | `setResourceCredentials(Map<String,String> resourceCredentials)`
    `void` | `setResourceName(String resourceName)`
    `void` | `setScope(String scope)`
    `void` | `setSslRequired(SslRequired sslRequired)`
    `void` | `setStateCookieName(String stateCookieName)`
    `void` | `setUseResourceRoleMappings(boolean useResourceRoleMappings)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### relativeUrls

          protected boolean relativeUrls

    - #### realm

          protected String realm

    - #### realmKey

          protected PublicKey realmKey

    - #### serverBuilder

          protected KeycloakUriBuilder serverBuilder

    - #### authServerBaseUrl

          protected String authServerBaseUrl

    - #### realmInfoUrl

          protected String realmInfoUrl

    - #### authUrl

          protected KeycloakUriBuilder authUrl

    - #### codeUrl

          protected String codeUrl

    - #### refreshUrl

          protected String refreshUrl

    - #### logoutUrl

          protected KeycloakUriBuilder logoutUrl

    - #### accountUrl

          protected String accountUrl

    - #### resourceName

          protected String resourceName

    - #### bearerOnly

          protected boolean bearerOnly

    - #### publicClient

          protected boolean publicClient

    - #### resourceCredentials

          protected Map<String,String> resourceCredentials

    - #### client

          protected org.apache.http.client.HttpClient client

    - #### scope

          protected String scope

    - #### sslRequired

          protected SslRequired sslRequired

    - #### stateCookieName

          protected String stateCookieName

    - #### useResourceRoleMappings

          protected boolean useResourceRoleMappings

    - #### cors

          protected boolean cors

    - #### corsMaxAge

          protected int corsMaxAge

    - #### corsAllowedHeaders

          protected String corsAllowedHeaders

    - #### corsAllowedMethods

          protected String corsAllowedMethods

    - #### exposeToken

          protected boolean exposeToken

    - #### notBefore

          protected volatile int notBefore

  - ### Constructor Detail

    - #### KeycloakDeployment

          public KeycloakDeployment()

  - ### Method Detail

    - #### isConfigured

          public boolean isConfigured()

    - #### getResourceName

          public String getResourceName()

    - #### getRealm

          public String getRealm()

    - #### setRealm

          public void setRealm(String realm)

    - #### getRealmKey

          public PublicKey getRealmKey()

    - #### setRealmKey

          public void setRealmKey(PublicKey realmKey)

    - #### getAuthServerBaseUrl

          public String getAuthServerBaseUrl()

    - #### setAuthServerBaseUrl

          public void setAuthServerBaseUrl(String authServerBaseUrl)

    - #### getRealmInfoUrl

          public String getRealmInfoUrl()

    - #### getAuthUrl

          public KeycloakUriBuilder getAuthUrl()

    - #### getCodeUrl

          public String getCodeUrl()

    - #### getRefreshUrl

          public String getRefreshUrl()

    - #### getLogoutUrl

          public KeycloakUriBuilder getLogoutUrl()

    - #### getAccountUrl

          public String getAccountUrl()

    - #### setResourceName

          public void setResourceName(String resourceName)

    - #### isBearerOnly

          public boolean isBearerOnly()

    - #### setBearerOnly

          public void setBearerOnly(boolean bearerOnly)

    - #### isPublicClient

          public boolean isPublicClient()

    - #### setPublicClient

          public void setPublicClient(boolean publicClient)

    - #### getResourceCredentials

          public Map<String,String> getResourceCredentials()

    - #### setResourceCredentials

          public void setResourceCredentials(Map<String,String> resourceCredentials)

    - #### getClient

          public org.apache.http.client.HttpClient getClient()

    - #### setClient

          public void setClient(org.apache.http.client.HttpClient client)

    - #### getScope

          public String getScope()

    - #### setScope

          public void setScope(String scope)

    - #### getSslRequired

          public SslRequired getSslRequired()

    - #### setSslRequired

          public void setSslRequired(SslRequired sslRequired)

    - #### getStateCookieName

          public String getStateCookieName()

    - #### setStateCookieName

          public void setStateCookieName(String stateCookieName)

    - #### isUseResourceRoleMappings

          public boolean isUseResourceRoleMappings()

    - #### setUseResourceRoleMappings

          public void setUseResourceRoleMappings(boolean useResourceRoleMappings)

    - #### isCors

          public boolean isCors()

    - #### setCors

          public void setCors(boolean cors)

    - #### getCorsMaxAge

          public int getCorsMaxAge()

    - #### setCorsMaxAge

          public void setCorsMaxAge(int corsMaxAge)

    - #### getCorsAllowedHeaders

          public String getCorsAllowedHeaders()

    - #### setCorsAllowedHeaders

          public void setCorsAllowedHeaders(String corsAllowedHeaders)

    - #### getCorsAllowedMethods

          public String getCorsAllowedMethods()

    - #### setCorsAllowedMethods

          public void setCorsAllowedMethods(String corsAllowedMethods)

    - #### isExposeToken

          public boolean isExposeToken()

    - #### setExposeToken

          public void setExposeToken(boolean exposeToken)

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

Copyright © 2014. All Rights Reserved.